package com.hzya.frame.sys.module.entity;

import cn.dev33.satoken.stp.StpUtil;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.hzya.frame.sys.viewFiled.entity.ViewFiled;
import com.hzya.frame.uuid.UUIDUtils;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

public class Meta {
	/** 标题 */
	private String title;
	/** 模块图标 */
	private String icon;
	/** nocache缓存 */
	private boolean noCache;
	private boolean hidden;

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getIcon() {
		return icon;
	}

	public void setIcon(String icon) {
		this.icon = icon;
	}

	public boolean isNoCache() {
		return noCache;
	}

	public void setNoCache(boolean noCache) {
		this.noCache = noCache;
	}

	public boolean isHidden() {
		return hidden;
	}

	public void setHidden(boolean hidden) {
		this.hidden = hidden;
	}
}
